<script setup lang="ts">
const value = '+ 1';
</script>

<template>
  <Teleport to="#positioned-effect-location">
    <div style="position: absolute; top: -200px; left: -250px; z-index: 5">
      <div class="rounded-2xl border-black border-4 py-0 px-4 bg-blue-600" style="width: 2.6em; height: 3em; font-size: 2.5em">
        <div class="track" style="position: relative">
          <div class="drop-word" v-for="circle in 30" :key="circle" v-html="value"></div>
          <div class="drop-word text-yellow-300">{{ value }}</div>
        </div>
      </div>
    </div>
  </Teleport>
</template>

<style scoped>
@import url('https://fonts.googleapis.com/css?family=Lato');

.track {
  --end-scale: 0.8;
  --end-position: 70;
  --end-rotation: 0;
  --speed: 3;
}
.track {
  background-color: rgb(0, 0, 0);
  display: flex;
  justify-content: center;
  position: relative;
  text-align: center;
}
.drop-word {
  flex: 1;
  -webkit-animation: drop calc(var(--speed) * 1s) infinite linear;
  animation: drop calc(var(--speed) * 1s) infinite linear;
  position: absolute;
  left: 0;
  top: 0;
}
.drop-word:nth-child(1) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 1;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #913d34;
}
.drop-word:nth-child(2) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 2;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #dcd3d2;
}
.drop-word:nth-child(3) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 3;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #c903ed;
}
.drop-word:nth-child(4) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 4;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #62d06d;
}
.drop-word:nth-child(5) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 5;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #d7367b;
}
.drop-word:nth-child(6) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 6;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #6c55aa;
}
.drop-word:nth-child(7) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 7;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #5b5cd8;
}
.drop-word:nth-child(8) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 8;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #19bf29;
}
.drop-word:nth-child(9) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 9;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #09a559;
}
.drop-word:nth-child(10) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 10;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #1ed944;
}
.drop-word:nth-child(11) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 11;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #55c581;
}
.drop-word:nth-child(12) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 12;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #898c94;
}
.drop-word:nth-child(13) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 13;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #5ae1e1;
}
.drop-word:nth-child(14) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 14;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #2fd469;
}
.drop-word:nth-child(15) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 15;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #0a7342;
}
.drop-word:nth-child(16) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 16;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #1751ea;
}
.drop-word:nth-child(17) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 17;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #c31626;
}
.drop-word:nth-child(18) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 18;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #3b36f5;
}
.drop-word:nth-child(19) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 19;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #7fcee5;
}
.drop-word:nth-child(20) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 20;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #6f297d;
}
.drop-word:nth-child(21) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 21;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #5c6758;
}
.drop-word:nth-child(22) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 22;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #435685;
}
.drop-word:nth-child(23) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 23;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #f96c70;
}
.drop-word:nth-child(24) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 24;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #91ec85;
}
.drop-word:nth-child(25) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 25;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #5e0b99;
}
.drop-word:nth-child(26) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 26;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #b27517;
}
.drop-word:nth-child(27) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 27;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #3e6def;
}
.drop-word:nth-child(28) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 28;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #6bb8c1;
}
.drop-word:nth-child(29) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 29;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #6a62bd;
}
.drop-word:nth-child(30) {
  opacity: 0;
  transform: translateY(calc(var(--end-position) * 1px)) rotate(calc(var(--end-rotation) * 1deg)) scale(var(--end-scale));
  --circle: 30;
  -webkit-animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  animation-delay: calc((0 - var(--speed) * 1 / 30 * (var(--circle) - 1)) * 1s);
  color: #56e134;
}
.drop-word:nth-child(31) {
  z-index: 99;
}
@-webkit-keyframes drop {
  from {
    opacity: 1;
    transform: translateY(0) rotate(0deg) scale(1);
  }
}
@keyframes drop {
  from {
    opacity: 1;
    transform: translateY(0) rotate(0deg) scale(1);
  }
}
</style>
